{ mkDerivation, HUnit, QuickCheck, base, code-page, deepseq
, directory, exceptions, filepath, ghc, ghc-paths, hspec
, hspec-core, hspec-discover, lib, mockery, process, setenv
, silently, stringbuilder, syb, transformers
}:
mkDerivation {
  pname = "doctest";
  version = "0.22.2";
  sha256 = "afb839c14019c17e3ec7900871a9fc104226028858c724932d53225ae382c6e5";
  revision = "1";
  editedCabalFile = "1w9nzs10cyfd5922xkm2crvr2191420qzzpbajxjsgdmkjgk55vd";
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base code-page deepseq directory exceptions filepath ghc ghc-paths
    process syb transformers
  ];
  executableHaskellDepends = [
    base code-page deepseq directory exceptions filepath ghc ghc-paths
    process syb transformers
  ];
  testHaskellDepends = [
    base code-page deepseq directory exceptions filepath ghc ghc-paths
    hspec hspec-core HUnit mockery process QuickCheck setenv silently
    stringbuilder syb transformers
  ];
  testToolDepends = [ hspec-discover ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/sol/doctest#readme";
  description = "Test interactive Haskell examples";
  license = lib.licenses.mit;
  broken = false;
}